import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconGrid = (props: IconProps) => {
    return <Icon id="IconGrid" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M2 4.5C2 3.39543 2.89543 2.5 4 2.5H9C10.1046 2.5 11 3.39543 11 4.5V9.5C11 10.6046 10.1046 11.5 9 11.5H4C2.89543 11.5 2 10.6046 2 9.5V4.5ZM9 4.5H4V9.5H9V4.5ZM13 4.5C13 3.39543 13.8954 2.5 15 2.5H20C21.1046 2.5 22 3.39543 22 4.5V9.5C22 10.6046 21.1046 11.5 20 11.5H15C13.8954 11.5 13 10.6046 13 9.5V4.5ZM20 4.5H15V9.5H20V4.5ZM2 15.5C2 14.3954 2.89543 13.5 4 13.5H9C10.1046 13.5 11 14.3954 11 15.5V20.5C11 21.6046 10.1046 22.5 9 22.5H4C2.89543 22.5 2 21.6046 2 20.5V15.5ZM9 15.5H4V20.5H9V15.5ZM13 15.5C13 14.3954 13.8954 13.5 15 13.5H20C21.1046 13.5 22 14.3954 22 15.5V20.5C22 21.6046 21.1046 22.5 20 22.5H15C13.8954 22.5 13 21.6046 13 20.5V15.5ZM20 15.5H15V20.5H20V15.5Z" />
    </Icon>;
};

export default IconGrid;
